Skip to main content
PUT
/
workspace
/
{workspace_id}
/
settings
Update workspace settings
curl --request PUT \
  --url https://api.firma.dev/functions/v1/signing-request-api/workspace/{workspace_id}/settings \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "signing_request_email_header": "<string>",
  "signing_request_email_body": "<string>",
  "team_email": "jsmith@example.com",
  "timezone": "<string>",
  "language": "en",
  "show_credit_cost_in_editor": true
}
'
{
  "workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "team_email": "jsmith@example.com",
  "timezone": "<string>",
  "language": "en",
  "signing_request_email_header": "<string>",
  "signing_request_email_body": "<string>",
  "show_credit_cost_in_editor": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.firma.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key for authentication. Use your API key directly without any prefix (e.g., 'your-api-key'). Bearer prefix is optional but not required.

Path Parameters

workspace_id
string<uuid>
required

Body

application/json
signing_request_email_header
string
signing_request_email_body
string
team_email
string<email>
timezone
string
language
enum<string>

Workspace language for email templates

Available options:
en,
es,
it,
pt,
fr,
de,
el
show_credit_cost_in_editor
boolean

Whether to display credit cost in embedded editors

Response

Workspace settings updated successfully

workspace_id
string<uuid>
name
string

Workspace name

team_email
string<email>

Workspace contact email

timezone
string

Workspace timezone

language
enum<string>
default:en

Workspace language for email templates

Available options:
en,
es,
it,
pt,
fr,
de,
el
signing_request_email_header
string

Custom email header text

signing_request_email_body
string

Custom HTML email body

show_credit_cost_in_editor
boolean
default:true

Whether to display credit cost in embedded template and signing request editors